> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取已完成的自然搜索 SERP 任务

> 获取已完成的自然搜索 SERP 任务。



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/serp/baidu/organic/tasks_ready
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/serp/baidu/organic/tasks_ready:
    get:
      summary: 获取已完成的自然搜索 SERP 任务
      description: 获取自然搜索 SERP 已完成任务。返回尚未提取的已完成 Baidu 自然搜索 SERP 任务。
      operationId: get_dataforseo_serp_baidu_organic_tasks_ready
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码
                  status_message:
                    type: string
                    description: 一般信息消息
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks[].result:
                    type: array
                    items:
                      type: string
                    description: 已完成任务引用的数组
                  tasks[].result[].id:
                    type: string
                    description: 已完成任务的任务标识符
                  tasks[].result[].endpoint_regular:
                    type: string
                    description: 用于收集常规结果的 URL
                  tasks[].result[].endpoint_advanced:
                    type: string
                    description: 用于收集高级结果的 URL
                  tasks[].result[].endpoint_html:
                    type: string
                    description: 用于收集 HTML 结果的 URL
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````